Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02351, UID# 2985
App. Status: Expired

Valid: 02/27/2021 - 03/02/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2686 (02/26/2021)

Charge Cost Quantity Total
Non-Taxable
added 02/26/2021 2:38 PM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 02/26/2021 2:38 PM

Workover Rigs & Cranes 110,001 - 115,000 lbs

$80.00 x 1 $80.00
added 02/26/2021 2:31 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$60.00 x 1 $60.00
Grand Total
Total $640.00
Payment 02/26/2021$640.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 02/26/2021 2:31 PM
6450314ddac4900b2ea95bb2b8fe51b6
02b3facf06bdcffe01345c7075c018c8
 
#1 Permit Issuing OfficialRachel Grimm - 02/26/2021 2:38 PM
7e89a52173538c3e699cb5cf9b0cab3c
28407450dbf8e6ccf58ce04d4564353e
 
Permit has been approved. All signatures have been obtained.